## glpeces 5.1.1

=== CMakeLists.txt ===
SET(CMAKE_INSTALL_PREFIX /$(CURDIR)/usr)
 # set project's name
  PROJECT( glpeces )
 
  cmake_minimum_required(VERSION 2.8)
  
  # with SET() command you can change variables or define new ones
  # here we define SAMPLE_SRCS variable that contains a list of all .cpp files
  # note that we don't need \ at the end of line
  SET( glpeces_SRCS
	./scr/main.cpp
       	./scr/configuracio.cpp 
       	./scr/funcions.cpp 
	./scr/rellotge.cpp 
	./scr/creaconcurs.cpp 
	./scr/desafigura.cpp 
	./scr/frmPrincipal.cpp 
	./scr/conjuntpeces.cpp
	./scr/peca.cpp 
	./scr/comprovafigures.cpp
  )
  
  # another list, this time it includes all header files that should be treated with moc
  SET( glpeces_MOC_HDRS       
     ./scr/configuracio.h
     ./scr/constants.h 
     ./scr/funcions.h 
     ./scr/rellotge.h 
     ./scr/creaconcurs.h 
     ./scr/desafigura.h 
     ./scr/ui_frmDesaFigura.h 
     ./scr/frmPrincipal.h
     ./scr/conjuntpeces.h 
     ./scr/peca.h 
     ./scr/comprovafigures.h     
  )
  
  # some .ui files
  SET( glpeces_UIS
       ./scr/frmDesaFigura.ui
  )
  
  # and finally an resource file
 # SET( glpeces_RCS
 #     resources.qrc
 # )
  
  # enable warnings
  ADD_DEFINITIONS( -Wall )
  
  # by default only QtCore and QtGui modules are enabled
  # other modules must be enabled like this:
  SET( QT_USE_QT3SUPPORT TRUE )   
  SET( QT_USE_QTXML TRUE )
  set(QT_USE_QTNETWORK true) 
  set(QT_USE_TESTLIB true)
  set(QT_USE_QTSVG true)
  set(QT_USE_QTDBUS true)
  
  # this command finds Qt4 libraries and sets all required variables
  # note that it's Qt4, not QT4 or qt4
  FIND_PACKAGE( Qt4 REQUIRED )
  
  # add some useful macros and variables
  # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
  INCLUDE( ${QT_USE_FILE} )
  
  # this command will generate rules that will run rcc on all files from glpeces_RCS
  # in result glpeces_RC_SRCS variable will contain paths to files produced by rcc
  #QT4_ADD_RESOURCES( glpeces_RC_SRCS ${glpeces_RCS} )
  
  # this will run uic on .ui files:
  QT4_WRAP_UI( glpeces_UI_HDRS ${glpeces_UIS} )
  
  # and finally this will run moc:
  QT4_WRAP_CPP( glpeces_MOC_SRCS ${glpeces_MOC_HDRS} )
  
  # we need this to be able to include headers produced by uic in our code
  # (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
  INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )
  
  # binaries are placed in the root directory as the source code
  SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${glpeces_SOURCE_DIR})
  # here we instruct CMake to build "glpeces" executable from all of the source files
  ADD_EXECUTABLE( glpeces ${glpeces_SRCS} ${glpeces_MOC_SRCS} ${glpeces_UI_HDRS} )
  
  # last thing we have to do is to tell CMake what libraries our executable needs,
  # luckily FIND_PACKAGE prepared QT_LIBRARIES variable for us:
  TARGET_LINK_LIBRARIES( glpeces ${QT_LIBRARIES} 
			${QT_QTMAIN_LIBRARY}
			${QT_QTTEST_LIBRARY})

  # install executable and translation files
install_targets(/games glpeces)
 # INSTALL( TARGETS ${PROGNAME} DESTINATION bin )
  install(DIRECTORY fig/ DESTINATION share/games/glpeces/figures)
  install(DIRECTORY locales/ DESTINATION share/games/glpeces/locales)
  install(DIRECTORY images/ DESTINATION share/games/glpeces/images)
  install(DIRECTORY help/ DESTINATION share/games/glpeces/help)
  install(DIRECTORY auto/ DESTINATION share/games/glpeces/auto)
  install(FILES menu/glpeces.6.gz DESTINATION share/man/man6)
  install(FILES menu/glpeces.desktop DESTINATION share/applications)
  install(FILES glpeces.xpm DESTINATION share/pixmaps)

 #uninstall
CONFIGURE_FILE( "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" )

## glpeces 4.0

=== debian/changelog ===
glpeces (4.0-1) unstable; urgency=low

  * Initial release (Closes: #502229)

 -- Innocent De Marchi <tangram.peces@gmail.com>  Thu, 20 May 2010 18:52:44 +0200

=== debian/control ===
Source: glpeces
Section: games
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 7), qt4-qmake (>= 4.4.3), libqt4-dev (>= 4.4.3)
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/pecesjocdetangr/

Package: glpeces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tangram (puzzle) game clone
 The Tangram is an ancient Chinese puzzle game where the player has to arrange
 a set of figures with 7 polygonal pieces.
 Peces allows playing 33 different modalities of tangram and it includes more
 than 4600 figures to solve. Also, it allows creating new figures and
 competitions. glpeces is especially designed to use in education.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake glpeces.pro
	touch configure-stamp
	

build: build-stamp

build-stamp: configure-stamp  
	dh_testdir	
	$(MAKE)	
	touch $@

clean: 
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f build-stamp configure-stamp glpeces Makefile
	dh_clean 

install: build
	dh_testroot
	dh_prep  
	dh_installdirs

	$(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/glpeces



# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## glpeces 4.0.2

=== debian/changelog ===
glpeces (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Revision of German translation (Thanks to Erik Pfannenstein
    and Hendrik Knackstedt).
  * Revision of Italian translation (Thanks to Vincenzo Campanella).
  * New Brazilian translation (Thanks to Adriano Rafael Gomes).
  * New debian/rules with dh $@.
  * Other minor changes:
    - Add question to user for erase records.
    - Save the solution user.
    - Improved placement of pieces on the child level.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 24 Dec 2010 17:33:08 +0200

glpeces (4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Improved the movement of the pieces (Closes: #585878).
  * Improved reviewing whether the solutions are correct (Closes: #586038).
  * Updating Standards-Version (without package changes).
  * Improvements in the search figures.
  * Fixed bug in game timekeeping.
  * Review of the translation to Portuguese (Thanks to Américo Monteiro).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 18 Oct 2010 19:03:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
 Build-Depends: debhelper (>= 7), qt4-qmake (>= 4.4.3), libqt4-dev (>= 4.4.3)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://sourceforge.net/projects/pecesjocdetangr/
 
 Package: glpeces

## glpeces 4.1

=== debian/changelog ===
glpeces (4.1-1) unstable; urgency=low

  * New upstream realease:
    - Added 5 new tangram.
    - Added over 2700 new figures.
    - New stop function.
    - Resizable main window.
  * Updated description field in debian/control.
  * Updated year in debian/copyright file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 21 Mar 2011 15:45:12 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,6 @@
 Description: Tangram (puzzle) game clone
  The Tangram is an ancient Chinese puzzle game where the player has to arrange
  a set of figures with 7 polygonal pieces.
- Peces allows playing 33 different modalities of tangram and it includes more
- than 4600 figures to solve. Also, it allows creating new figures and
+ Peces allows playing 38 different modalities of tangram and it includes more
+ than 7300 figures to solve. Also, it allows creating new figures and
  competitions. glpeces is especially designed to use in education.

## glpeces 5.0

=== debian/changelog ===
glpeces (5.0-2) unstable; urgency=low

  * Add Breaks field to debian/control file.
  * Add Debian package version to Replaces field
    in debian/control file (Closes: #666151).
  * Update debian/copyright file to v. 1.0.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Thu, 29 Mar 2012 09:32:15 +0200

glpeces (5.0-1) unstable; urgency=low

  * New upstream realease:
    - Improved rapid movement of the pieces
      (Closes: #634322).
    - Added 1 new tangram (39 in total).
    - Automatic generation of figures.
    - Added over 11,000 new figures.
    - Customization the pieces color.
    - Improved function comparison of figures.
    - Revised translation into French
      (thanks to Philippe Moutou).
  * Updated Standards-Version (without package changes).  
  * Updated description field in debian/control.
  * Add new package (glpeces-data) with the
    architecture independent files
    - Added news files: glpeces.install,
      glpeces-data.dirs, glpeces-data.install.
  * Updated year in debian/copyright file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 11 Mar 2012 11:35:10 +0200

=== debian/control ===
Source: glpeces
Section: games
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 7), qt4-qmake (>= 4.4.3), libqt4-dev (>= 4.4.3)
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/pecesjocdetangr/

Package: glpeces
Architecture: any
Depends: glpeces-data (>= 5.0), ${shlibs:Depends}, ${misc:Depends}
Description: Tangram (puzzle) game clone
 The Tangram is an ancient Chinese puzzle game where the player has to arrange
 a set of figures with 7 polygonal pieces.
 Peces allows playing 39 different modalities of tangram and it includes more
 than 18,000 figures to solve. Also, it allows creating new figures and
 competitions. glpeces is especially designed to use in education.

Package: glpeces-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: glpeces (<= 4.1)
Replaces: glpeces (<= 4.1-1)
Description: Data files for glpeces (Tangram puzzle)
 The Tangram is an ancient Chinese puzzle game where the player has to arrange
 a set of figures with 7 polygonal pieces.
 Peces allows playing 39 different modalities of tangram and it includes more
 than 18,000 figures to solve. Also, it allows creating new figures and
 competitions. glpeces is especially designed to use in education.
 .
 This package contains architecture-independent
 required files for glpeces package.
 The files contain data for the construction of the figures
 of the game, help, locales and images.

=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/pecesjocdetangr/glpeces-(.*)\.tar\.gz debian uupdate

## glpeces 5.1.1

=== debian/changelog ===
glpeces (5.1.1-1) unstable; urgency=low

   * New upstream version.
     - Removed all shadow backup files from sources.
   * Delete duplicate text license in debian/copyright file.
     
 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 15 May 2015 17:22:45 +0100

glpeces (5.1-1) experimental; urgency=low

   * New upstream release:
     - Add cmake build system.
     - For other changes, see changelog in upstream sources.
   * Changes in debian/control:
     - Update Standards-Version to 3.9.6: no special changes required.
     - Changes build-depends to cmake.
     - Add Vcs-Browser and Vcs-Git fields.
     - Update depends and replaces fields.
     - Correct bug description: thanks to Daniel Ejsing-Duun
       (LP: #1076133).
   * Update years in copyright file.
   * Add the hardering flags to debian/rules.
     - Add dpkg-dev in build depends field in debian/control.
   * Add debian/glpeces.dirs file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 02 Feb 2015 18:16:20 +0200

=== debian/control ===
Source: glpeces
Section: games
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 9), cmake , libqt4-dev (>= 4.4.3), dpkg-dev (>= 1.16.9)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/glpeces.git
Vcs-Git: git://anonscm.debian.org/collab-maint/glpeces.git
Homepage: http://sourceforge.net/projects/pecesjocdetangr/

Package: glpeces
Architecture: any
Depends: glpeces-data (>= 5.1), ${shlibs:Depends}, ${misc:Depends}
Description: Tangram (puzzle) game clone
 The Tangram is an ancient Chinese puzzle game where the player has to arrange
 a set of figures with 7 polygonal pieces.
 Peces allows playing 39 different modalities of tangrams and it includes more
 than 24,000 figures to solve. Also, it allows creating new figures and
 competitions. glpeces is especially designed to use in education.

Package: glpeces-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: glpeces (<= 5.0)
Replaces: glpeces (<= 5.0-1)
Description: Data files for glpeces (Tangram puzzle)
 The Tangram is an ancient Chinese puzzle game where the player has to arrange
 a set of figures with 7 polygonal pieces.
 Peces allows playing 39 different modalities of tangram and it includes more
 than 24,000 figures to solve. Also, it allows creating new figures and
 competitions. glpeces is especially designed to use in education.
 .
 This package contains architecture-independent
 required files for glpeces package.
 The files contain data for the construction of the figures
 of the game, help, locales and images.

## glpeces 5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,21 +59,29 @@
   
   # this command finds Qt4 libraries and sets all required variables
   # note that it's Qt4, not QT4 or qt4
-  FIND_PACKAGE( Qt4 REQUIRED )
+  find_package(Qt5Widgets)
+  #find_package(Qt5Declarative)
+
+  # The Qt5Widgets_INCLUDES also includes the include directories for
+  # dependencies QtCore and QtGui
+  include_directories(${Qt5Widgets_INCLUDES})
+
+  # We need add -DQT_WIDGETS_LIB when using QtWidgets in Qt 5.
+  add_definitions(${Qt5Widgets_DEFINITIONS})
   
   # add some useful macros and variables
   # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
-  INCLUDE( ${QT_USE_FILE} )
+  #INCLUDE( ${QT_USE_FILE} )
   
   # this command will generate rules that will run rcc on all files from glpeces_RCS
   # in result glpeces_RC_SRCS variable will contain paths to files produced by rcc
   #QT4_ADD_RESOURCES( glpeces_RC_SRCS ${glpeces_RCS} )
   
   # this will run uic on .ui files:
-  QT4_WRAP_UI( glpeces_UI_HDRS ${glpeces_UIS} )
+  QT5_WRAP_UI( glpeces_UI_HDRS ${glpeces_UIS} )
   
   # and finally this will run moc:
-  QT4_WRAP_CPP( glpeces_MOC_SRCS ${glpeces_MOC_HDRS} )
+  QT5_WRAP_CPP( glpeces_MOC_SRCS ${glpeces_MOC_HDRS} )
   
   # we need this to be able to include headers produced by uic in our code
   # (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
@@ -86,9 +94,11 @@
   
   # last thing we have to do is to tell CMake what libraries our executable needs,
   # luckily FIND_PACKAGE prepared QT_LIBRARIES variable for us:
-  TARGET_LINK_LIBRARIES( glpeces ${QT_LIBRARIES} 
-			${QT_QTMAIN_LIBRARY}
-			${QT_QTTEST_LIBRARY})
+  #TARGET_LINK_LIBRARIES( glpeces ${QT_LIBRARIES} 
+  #			${QT_QTMAIN_LIBRARY}
+  #			${QT_QTTEST_LIBRARY})
+
+  target_link_libraries(glpeces ${Qt5Widgets_LIBRARIES})
 
   # install executable and translation files
 install_targets(/games glpeces)

=== debian/changelog ===
glpeces (5.2-5) unstable; urgency=medium

  * Declared the minimum cmake version to be 3.5
    Closes: #112962

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 15 Oct 2025 14:16:34 +0200

glpeces (5.2-4) experimental; urgency=medium

  * Declared the minimum cmake version to be 4.0
    Closes: #112962

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 30 Sep 2025 15:41:20 +0200

glpeces (5.2-3) unstable; urgency=medium

  * adopted the package, named myself as maintainer. Closes: #922902
  * modified the VCS repository, updated its content to the release
    5.2-2 before uploading this one
  * upgraded Standards-Version: 4.5.1; debhelper-compat (=13)
  * rewrote d/*.install files to fix dh_missing issues

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Jan 2022 12:49:10 +0100

glpeces (5.2-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #922902)
  * Using new DH level format. Consequently:
    - debian/compat: removed.
    + debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 12.
  * debian/changelog: corrected file containing white space.
  * debian/clean: removing binary file.
  * debian/control:
    - Build-Depends: dpkg-dev removed.
    + Bumped Standards-Version to 4.4.0.
    + Changed upstream Vcs-* URLs in salsa.d.g.
  * debian/copyright:
    + Adding myself copyright in debian/*
    + Format-uri: Updated for HTTPS.
  * debian/patches:
    + 01-inconsistent-appstream-metadata-license.
      - Inconsistent appstream metadata license.
    + 02-ignoring-warning-wunused-result.
      - Added: pragma GCC diagnostic ignored
  * debian/rules: Obsolete lines removed.
  * debian/watch: Updated watch version 4.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 21 Jul 2019 16:00:11 -0300

glpeces (5.2-1) unstable; urgency=low

   * New upstream version:
     - One new tangram game (hexagonal)
       created by I. De Marchi.
     - More 7,000 new shapes to play (31,610 in total).
     - Random generation of new shapes
       (not for all tangram game).
     - Improvement of the pieces rotation
       (Closes: #808409).
     - Add the glpeces.appdata.xml description file.
     - Migrated to Qt 5.
   * Changes in debian/control:
     - Update Standards-Version to 3.9.6.1: no special changes required.
     - Update depends and replaces fields.
     - Update Description fields.
     - Update Build-Depends to Qt 5 updated.
   * Update years in copyright file.
   * Add /usr/share/appdata dir in glpeces.dirs file.
     - As a result, update glpeces.install.
   * Remove debian/glpeces.menu file by the tech-ctte decision on #741573.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 08 Jan 2016 17:37:05 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

=== debian/watch ===
# watch control file for uscan
version=4
http://sf.net/pecesjocdetangr/glpeces-(.*)\.tar\.gz debian uupdate
